#!/usr/bin/perl
#
# This is a little kludge to find the dumpfiles which contain traffic
# from a specified window.
#
# The shoki_query script does the same sort of thing, with a Tk interface.
#

require("/usr/local/net/ids/etc/collector.conf");
require("getopts.pl");
&Getopts("s:S:E:C:");

&main();
exit(0);

sub main
{
	my($foo, $fname, $fname_w);
	$opt_C && (($opt_S = $opt_C), ($opt_E = $opt_C + 1));
	foreach $foo (@sensors)
	{
		$opt_s && (($opt_s eq $foo) || next);
		(-d "$logdir/$foo") || next;
		opendir(DIR, "$logdir/$foo") ||
			die("Couldn't open dir $logdir/$foo");
		while($fname = readdir(DIR))
		{
			($fname =~ /^$foo-sensor_dump\.(\d+)-(\d+)\.gz$/) || next;
			$opt_E && (($opt_E >= $1) || next);
			$opt_S && (($opt_S <= $2) || next);
			print("$1\t$2\n");
		}
	}
}

