
sub db_connect
{
	my($db) = @_;
	my($conn);

	$conn = Pg::connectdb("dbname=$db");
	return($conn);
}

sub check_add_sensor
{
	my($sensor, $db, $table) = @_;
	my($conn, $q, $conn, $e, $bar, $found);

	$found = 0;
	$q = "select sensor from $table where sensor=\'$sensor\'";
	$conn = &db_connect($db);
	$res = $conn->exec($q);
	while(@row = $res->fetchrow)
	{
		$bar = join(' ', @row);
		($bar =~ /$sensor/) || next;
		$found++;
	}
	$e = $conn->errorMessage;
	$e && return($e);
	$found || ($e = &add_sensor($sensor, $db, $table));
	return($e);
}

sub add_sensor
{
	my($sensor, $db, $table) = @_;
	my($conn, $q, $conn, $e, $time);

	$time = time;
	$q = "insert into $table values ($time, \'$sensor\', \'$sensor_type{$sensor}\', 0, 0, 0, \'\')";
	$e = &execute_query($q, $db);
	return($e);
}

sub execute_query
{
	my($q, $db) = @_;
	my($conn, $res, $e);

	$conn = &db_connect($db);
	$res = $conn->exec($q);
	$e = $conn->errorMessage;
	return($e);
}

sub get_sql_format
{
	my($db, $view) = @_;
	my($q, $res, $foo, @bar, $e, @row, @format, $conn);

	$q = "select attname from pg_attribute where (pg_class.relname=\'$view\') and (pg_class.relowner=pg_user.usesysid) and (pg_class.oid=pg_attribute.attrelid) and (pg_attribute.atttypid=pg_type.oid) and (attnum > 0)";
	$conn = &db_connect($db);
	$res = $conn->exec($q);
	while(@row = $res->fetchrow)
	{
		$foo = join(' ', @row);
		unshift(@format, $foo);
	}
	$e = $conn->errorMessage;
	$e && (&error($e), return());
	return(@format);
}

sub get_sql_views
{
	my($db) = @_;
	my($q, $conn, $res, @rows, $e, $foo, @views);

	@views = ();
	$q = "select relname from pg_class where relname \!\~ \'\^pg_\' and relkind=\'r\' and relhasrules order by relname";
	$conn = &db_connect($db);
	$res = $conn->exec($q);
	while(@row = $res->fetchrow)
	{
		push(@views, $row[0]);
	}
	$e = $conn->errorMessage;
	$e && (&error("$e"), return());
	return(@views);
}

1;
