#include <stdarg.h>
#include <signal.h>
#include <sys/wait.h>
#include <fcntl.h>
#include <unistd.h>
#include <pcap.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <errno.h>
#include <regex.h>
#include <syslog.h>
#include <ctype.h>
#include <string.h>


#ifndef __dead
#define __dead volatile
#endif

#define SHOKI_TYPE	"IGNORE"
#define SHOKI_LOG_NAME	SHOKI_LOG_NAME_SENSOR

int cleanup(int);
void change_log();
void open_dump();
void capture_loop();
void close_dump();
void change_dump();
void clean_kids();

void compile_regexen();
void parse_sensor_config(const char *fname);
void pcap_dump_pt(u_char *user, const struct pcap_pkthdr *h, const u_char *sp);


#define ipaddr_string(p) getname((const u_char *)(p))

