#!/usr/bin/perl

$dir = './man';
$docdir = './doc';

&main();
exit(0);

sub main
{
	&read_dirs();
}

sub read_dirs
{
	my($foo, $fname, $fname_w);
	opendir(DIR, "$dir") || (die "Couldn't open dir $dir");
	while($fname = readdir(DIR))
	{
		(-d "$dir/$fname") || next;
		($fname =~ /man(\d)$/) || next;
		push(@nums, $1);
	}
	closedir(DIR);
	foreach $foo (@nums)
	{
		opendir(DIR, "$dir/man$foo") ||
			(die "Couldn't open dir $dir/man$foo");
		while($fname = readdir(DIR))
		{
			($fname =~ /$foo$/) || next;
			$fname_w = "$dir/man$foo/$fname";
			open(PIPE, "<$fname_w") || next;
			open(FILE, ">$docdir/$fname.html");
			print FILE "<html><head><title>$fname</title><head><body>\n";
			while(<PIPE>)
			{
				s/^\.I/<i>/g && (s/$/<\/i>/);
				s/^\.B/<b>/g && (s/$/<\/b>/);
				s/^\.P/<p>/g;
				s/^\.SH/<h3 align=left>/g && (s/$/<\/h3>/);
				s/^\.RS/<dl><dd>/g;
				s/^\.RE/<\/dl>/g;
				s/\\\-/-/g;
				/^\./ && next;
				print FILE;
			}
			close(PIPE);
			print FILE "</body></html>\n";
			close(FILE);
		}
	}
}
